const { app, BrowserWindow } = require('electron')
let mainWindow;

function createWindow () {
  mainWindow = new BrowserWindow({
    width: 1920,
    height: 1080,
    webPreferences: {
      nodeIntegration: true,
      enableRemoteModule: true,
    }
  })

  mainWindow.loadFile('src/index.html')
  mainWindow.removeMenu()
  mainWindow.setFullScreen(true)
  // mainWindow.webContents.openDevTools()

  mainWindow.webContents.on("before-input-event", (event, input) => { 
    if(input.key == 'Escape')
    {
      app.quit()
    }
  });
}

app.whenReady().then(createWindow)

app.on('window-all-closed', () => {
  if (process.platform !== 'darwin') {
    app.quit()
  }
})

app.on('activate', () => {
  if (BrowserWindow.getAllWindows().length === 0) {
    createWindow()
  }
})
